Bug 1000199 - Tracking bug for TM panel redesign since 3.0
Tracking bug for TM panel redesign since 3.0
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-UI, Usability (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Luke Brooker
Zanata-QA Mailling List
:
: 1012769 1074735 1078865 1096995 1110702 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 18:39 EDT by Isaac Rooskov
Modified: 2016-04-18 05:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:45:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Isaac Rooskov 2013-08-22 18:39:45 EDT
Description of problem:

The space at the bottom of the editor where the TM appears used to have columns whose widths could be modified. This was useful as mostly translators use the first two columns and not the last two in the table. 

Version-Release number of selected component (if applicable):

3.0

How reproducible:

100%

Steps to Reproduce:
1. Open the editor to begin translation of a document
2. Type some text in the translation field
3. Notice that where the TM suggest matches, the column widths can no longer be modified. In the past translators would make the first two columns larger in order to see more of the suggested translation at a time.

Actual results:

TM field columns no longer have adjustable widths

Expected results:

TM field columns to have adjustable widths like previous versions.

Additional info:

Contact Kenzo Moriguchi <kmoriguc@redhat.com> for further information.
Comment 1 Damian Jansen 2014-03-09 20:38:58 EDT
Is this referring to jsut the

| Source | Target | # | Similarity | Origin |

columns, or the whole TM / Glossary section?
Comment 2 Ding-Yi Chen 2014-03-26 20:47:16 EDT
I think the reporter mentioned "First two columns", it is more likely that it should be columns inside the TM panel. In other words,

| Source | Target | # | Similarity | Origin |
Comment 3 Ding-Yi Chen 2014-03-28 00:34:37 EDT
Although Bug 1012769 and Bug 1078865 are talking about other issues, I think those two should be merged in order to help designer and developers to get better overview.

Combining these 3 bugs, the TM panel should:
1. By default, Source, Target, # (Number of this translation been used), copy button, similarity and origin should all been shown. (Bug 1078865)

2 Width of Source and Target should be stretch as much as realistic so no space will be wasted. (Bug 1012769)

3. Width of source and target should be adjustable.(Bug 1000199)

4. Source and Target should be word wrap properly. (Bug 1078865)
Comment 4 Ding-Yi Chen 2014-03-28 00:35:55 EDT
*** Bug 1012769 has been marked as a duplicate of this bug. ***
Comment 5 Ding-Yi Chen 2014-03-28 00:37:44 EDT
*** Bug 1078865 has been marked as a duplicate of this bug. ***
Comment 6 Ding-Yi Chen 2014-05-12 20:38:21 EDT
*** Bug 1096995 has been marked as a duplicate of this bug. ***
Comment 7 Ding-Yi Chen 2014-05-12 20:45:47 EDT
*** Bug 1074735 has been marked as a duplicate of this bug. ***
Comment 8 Ding-Yi Chen 2014-07-01 20:54:56 EDT
*** Bug 1110702 has been marked as a duplicate of this bug. ***
Comment 9 Ding-Yi Chen 2014-07-01 20:57:16 EDT
Combine with Bug 1110702, the TM and Glossary panel should:

1. By default, Source, Target, # (Number of this translation been used), copy button, similarity and origin should all been shown. (Bug 1078865)

2 Width of Source and Target should be stretch as much as realistic so no space will be wasted. (Bug 1012769)

3. Width of source and target should be adjustable.(Bug 1000199)

4. Source and Target should be word wrap properly. (Bug 1078865)

5. Have a control to show/hide individual panel.
Comment 10 Ding-Yi Chen 2014-07-17 02:18:38 EDT
Luke,

Do you want to address TM Info window (Bug 1082535) in this bug as well?
Comment 11 Luke Brooker 2014-07-18 02:03:18 EDT
No, I think these are different cases.

Although they both shouldn't be that hard to fix for the next release.
Comment 14 Zanata Migrator 2015-07-30 21:45:13 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-525

Note You need to log in before you can comment on or make changes to this bug.